Subject: [TR] picture of TR6 Boss Frog roll bar?

From: Tim Gaines <[email-masked]>
Date: Tue, 6 Nov 2012 10:27:17 -0500 (EST)

I wrote the list a couple of weeks ago about my interest in mounting a Boss Frog roll bar to my TR6 and then welding the back plates to the frame to provide strength to the set up.  However, I have been able to find only two pictures of the installed bar at the Boss Frog site and one other elsewhere, and none of them shows clearly how much clearance there is between the bar and the seats.  I don't want to be bopping the back of my head while driving; I do that enough when I'm underneath it!  I'm wondering if anyone on the list has a picture or a description of the bar and seat arrangement you could send me off list or maybe a web site url.

Thanks,
Tim Gaines
Clinton, SC
1974 TR6
1980 Spitfire

** [email-masked] **

Archive: http://www.team.net/archive